package de.champonthis.buntspecht.controller.support;

import org.springframework.lang.Nullable;
import org.springframework.validation.AbstractBindingResult;


public class RequestBodyErrors extends AbstractBindingResult {

	@Nullable
	private final Object target;

	
	public RequestBodyErrors(@Nullable Object target) {
		super("request-body");
		this.target = target;
	}

	/*
	 * @see org.springframework.validation.AbstractBindingResult#getTarget()
	 */
	@Override
	public Object getTarget() {
		return target;
	}

	/*
	 * @see
	 * org.springframework.validation.AbstractBindingResult#getActualFieldValue(java
	 * .lang.String)
	 */
	@Override
	protected Object getActualFieldValue(String field) {
		// Not necessary
		return null;
	}

}
